/* Copyright (C) 2020 Terence Kelly.  All rights reserved. */

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
  int V, E, u, v;
  if (4 != argc) {
    fprintf(stderr, "usage:  %s  V  E  seed\n", argv[0]);
    exit(EXIT_FAILURE);
  }
  if (2 > (V = atoi(argv[1])) || RAND_MAX < V-1) {
    fprintf(stderr, "bad V: %d\n", V);
    exit(EXIT_FAILURE);
  }
  E = atoi(argv[2]);
  srand((unsigned)atoi(argv[3]));
  while (E--) {
       u = 1 + rand() % V;
    do v = 1 + rand() % V; while (u == v);
    printf("%d %d\n", u, v);
  }
  return 0;
}

